import { jsx } from "react/jsx-runtime";
import { TokenSETH as TokenSETH$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSETH = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SETH", "data-name": "TokenSETH", ...props, children: /* @__PURE__ */ jsx(TokenSETH$1, { variant }) });
  }
);
TokenSETH.displayName = "TokenSETH";
Object.assign(TokenSETH, { isGdsIcon: true });
export {
  TokenSETH
};
